﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */
#scrollTopButton {
    /*display: none;*/ /* Hidden by default */
    position: fixed; /* Fixed/sticky position */
    bottom: 20px; /* Place the button at the bottom of the page */
    right: 20px; /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
    border: none; /* Remove borders */
    outline: none; /* Remove outline */
    background-color: dodgerblue; /* Set a background color */
    color: white; /* Text color */
    cursor: pointer; /* Add a mouse pointer on hover */
    padding: 5px,10px; /* Some padding */
    border-radius: 5px; /* Rounded corners */
    font-size: 18px; /* Increase font size */
}

    #scrollTopButton:hover {
        background-color: #555; /* Add a dark-grey background on hover */
    }

.signature-pad > canvas {
    display: block;
    width: 300px;
    height: 150px;
    margin-bottom: 5px;
    border: solid;
    border-width: 1px;
    border-block-color: black;
}

.form-group {
    margin-bottom: 0.3rem !important;
}

#mySpinner {
    position: fixed;
    display: block;
    top: 50%;
    left: 50%;
    width: 48px;
    height: 48px;
    margin: -24px 0 0 -24px;
    z-index: 999;
    -webkit-animation: spin 1s linear infinite;
    -moz-animation: spin 1s linear infinite;
    animation: spin 1s linear infinite;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    25% {
        -webkit-transform: rotate(45deg);
    }

    50% {
        -webkit-transform: rotate(0deg);
    }

    75% {
        -webkit-transform: rotate(-45deg);
    }

    100% {
        -webkit-transform: rotate(0deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    25% {
        transform: rotate(45deg);
    }

    50% {
        transform: rotate(0deg);
    }

    75% {
        transform: rotate(-45deg);
    }

    100% {
        transform: rotate(0deg);
    }
}


/* Réduit le padding dans les tables */
.table td, th {
    padding: .25rem !important;
}

a .navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}
/*
.btn-primary {
    color: #FFF0;
    background-color: #Fb6ec2;
    border-color: #186100;
}
*/
.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

.validation-message {
    color: #dc3545 !important;
    font-weight: bold !important;
}
/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

.withShadow {
    box-shadow: 0 0 5px green;
}


.bg-primary-50 {
    background-color: #80bdff !important;
}

.bg-secondary-50 {
    background-color: #b5babf !important;
}

.bg-success-50 {
    background-color: #75dd8d !important;
}

.bg-info-50 {
    background-color: #66daec !important;
}

.bg-warning-50 {
    background-color: #ffe082 !important;
}

.bg-danger-50 {
    background-color: #ed9ba4 !important;
}

.bg-light-50 {
    background-color: #fcfcfd !important;
}

.bg-dark-50 {
    background-color: #939da7 !important;
}


.bg-primary-25 {
    background-color: #c8e3ff !important;
}

.bg-secondary-25 {
    background-color: #dfe2e4 !important;
}

.bg-success-25 {
    background-color: #cbf2d4 !important;
}

.bg-info-25 {
    background-color: #C6F1F8 !important;
}

.bg-warning-25 {
    background-color: #FFF2C9 !important;
}

.bg-danger-25 {
    background-color: #F7D4D8 !important;
}

.bg-light-25 {
    background-color: #FEFEFE !important;
}

.bg-dark-25 {
    background-color: #D1D5D9 !important;
}
